{% extends 'store/main.html' %}
{% load static %}
{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="box-element">
            <a  class="btn btn-outline-dark" href="{% url 'store' %}">&#x2190; Continue Shopping</a>

            <br>
            <br>

            <table class="table">
                <tr>
                    <th><h5>Items: <strong>{{order.get_cart_items}}</strong></h5></th>
                    <th><h5>Total:<strong> ${{order.get_cart_total|floatformat:2}}</strong></h5></th>
                    <th>
                        <a  style="float:right; margin: 5px" class="btn btn-success" href="{% url 'checkout' %}">Checkout</a>
                    </th>
                </tr>
            </table>

        </div>

        <br>
        <div class="box-element">
            <div class="cart-row">
                <div style="flex:2"></div>
                <div style="flex:2"><strong>Item</strong></div>
                <div style="flex:1"><strong>Price</strong></div>
                <div style="flex:1"><strong>Quantity</strong></div>
                <div style="flex:1"><strong>Total</strong></div>
            </div>
            {% for item in items %}
            <div class="cart-row">
                <div style="flex:2"><img class="row-image" src="{{item.product.imageURL}}"></div>
                <div style="flex:2"><p>{{item.product.name}}</p></div>
                <div style="flex:1"><p>${{item.product.price|floatformat:2}}</p></div>
                <div style="flex:1">
                    <p class="quantity">{{item.quantity}}</p>
                    <div class="quantity">
                        <img class="chg-quantity" src="{% static  'images/arrow-up.png' %}">

                        <img class="chg-quantity" src="{% static  'images/arrow-down.png' %}">
                    </div>
                </div>
                <div style="flex:1"><p>${{item.get_total}}</p></div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>
{% endblock content %}